For the complete documentation index, see llms.txt. This page is also available as Markdown.

Şablonu Günceller

Şablonu günceller.

put
Authorizations
HTTPRequired

API anahtar� giriniz

Body
IDinteger · int32Optional
Namestring · nullableOptional
IsActiveboolean · nullableOptional
IsDefaultboolean · nullableOptional
Responses
200

Şablonu günceller.

application/json
booleanOptional
put/Templates
PUT /edespatch/Templates HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 55

{
  "ID": 1,
  "Name": "text",
  "IsActive": true,
  "IsDefault": true
}
true
var client = new RestClient("https://apitest.nilvera.com/edespatch/Templates");
client.Timeout = -1;
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <API KEY>");
request.AddHeader("Content-Type", "application/json");
var body = @"{
"ID": 0,
"IsDefault": true,
"IsActive": true}";
request.AddParameter("application/json", body,  ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/edespatch/Templates',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_POSTFIELDS =>'{
  "ID": 0,
  "IsDefault": true,
  "IsActive": true
}',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>',
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Yanıt şablonu günceller.

put
Authorizations
HTTPRequired

API anahtar� giriniz

Body
IDinteger · int32Optional
Namestring · nullableOptional
IsActiveboolean · nullableOptional
IsDefaultboolean · nullableOptional
Responses
200

Yanıt şablonu günceller.

application/json
booleanOptional
put/AnswerTemplates
PUT /edespatch/AnswerTemplates HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 55

{
  "ID": 1,
  "Name": "text",
  "IsActive": true,
  "IsDefault": true
}
true

Last updated